0

My LaTeX install was working fine. Then someone told me to run apt install texlive-lang-cyrillic to allow me to use XCharter. Now, some packages appear missing like authblk: LaTeX Error: File 'authblk.sty' not found.

How do I recover my install? I'm hoping it is a path issue... What a pain.

4
  • were you using the debian texlive installed via apt previously or were you runningthe texlive from tug maintaind via tlmgr rather than apt. what does type --all pdflatex report on the terminal? Feb 8 at 22:59
  • TL/DR: Yes I had 2 installs... Before I saw your reply, I ran sudo apt remove texlive* thinking to do a clean install. Then, on a whim, I tried compiling, and of course, it worked! because this apt version was a second install, and the first with tlmgr as you suggest (described here for future readers...). As always, thanks! Feb 9 at 15:45
  • To answer your question: type --all pdflatex now returns: pdflatex is /usr/local/texlive/2021/bin/x86_64-linux/pdflatex, but presumably there used to be a second option. Feb 9 at 15:46
  • 1
    yes I was expecting to see both /usr/bin/pdflatex and the one you have with the answer being to delete one of them:-) Feb 9 at 16:21

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.